## org.gnu.gdk
Class CrossingMode

    java.lang.Object
      org.gnu.glib.Enum
          org.gnu.gdk.CrossingMode

public class CrossingMode
extends Enum

Field Summary
`static CrossingMode` `GRAB`
`static CrossingMode` `NORMAL`
`static CrossingMode` `UNGRAB`

Fields inherited from class org.gnu.glib.Enum
`value_`

Method Summary
`CrossingMode` `and(CrossingMode other)`
`static CrossingMode` `intern(int value)`
`CrossingMode` `or(CrossingMode other)`
`boolean` `test(CrossingMode other)`
`CrossingMode` `xor(CrossingMode other)`

Methods inherited from class org.gnu.glib.Enum
`equals, getValue, hashCode`

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### NORMAL

    public static final CrossingMode NORMAL

### GRAB

    public static final CrossingMode GRAB

### UNGRAB

    public static final CrossingMode UNGRAB

Method Detail

### intern

    public static CrossingMode intern(int value)

### or

    public CrossingMode or(CrossingMode other)

### and

    public CrossingMode and(CrossingMode other)

### xor

    public CrossingMode xor(CrossingMode other)

### test

    public boolean test(CrossingMode other)